|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Public Attributes
gameplay::ScriptTarget::CallbackFunction Struct Reference

`#include <ScriptTarget.h>`

List of all members.

## Public Member Functions

| CallbackFunction (Script *script, const char *function)

## Public Attributes

Script * | script
std::string | function

## Detailed Description

Stores a single registered script callback function.

## Constructor & Destructor Documentation

gameplay::ScriptTarget::CallbackFunction::CallbackFunction | ( | Script * | script,
|  | const char * | function
| ) |  | `[inline]`

The callback function to registry script function to.

Parameters:

  script | The script.
  function | The script function.

## Member Data Documentation

std::string gameplay::ScriptTarget::CallbackFunction::function

The function within the script to call.

Script* gameplay::ScriptTarget::CallbackFunction::script

The script the callback belongs to (or NULL if the callback is a global function)

All Classes Functions Variables Typedefs Enumerations Enumerator